curl --request PATCH \
--url https://{region}.affinda.com/v2/resumes/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": {
"rawInput": "Blacksburg, VA"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}
EOFimport requests
url = "https://{region}.affinda.com/v2/resumes/{identifier}"
payload = {
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": ["(704) 996-9966", "+61412632636"],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": ["www.timsmith.com"],
"emails": ["timsmith@vt.edu"],
"dateOfBirth": "1992-01-01",
"location": { "rawInput": "Blacksburg, VA" },
"objective": "",
"languages": ["English", "French", "Arabic"],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": { "education": "Bachelor of Science" },
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": { "rawInput": "Blacksburg, VA" },
"dates": {
"completionDate": "2021-05-01",
"isCurrent": True,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": { "rawInput": "Blacksburg, VA" },
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": True,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": ["Certificate in AWS"],
"publications": ["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {raw: 'Tim A. Smith', first: 'Tim', last: 'Smith', middle: 'A.', title: 'Dr'},
phoneNumbers: ['(704) 996-9966', '+61412632636'],
phoneNumberDetails: [
{
rawText: '+61412632636',
formattedNumber: '+61 412 632 636',
countryCode: 'AU',
internationalCountryCode: 61,
nationalNumber: '0412 632 636'
}
],
websites: ['www.timsmith.com'],
emails: ['timsmith@vt.edu'],
dateOfBirth: '1992-01-01',
location: {rawInput: 'Blacksburg, VA'},
objective: '',
languages: ['English', 'French', 'Arabic'],
summary: '',
totalYearsExperience: 13,
education: [
{
id: 2,
organization: 'Virginia Polytechnic Institute and State University (Virginia Tech)',
accreditation: {education: 'Bachelor of Science'},
grade: {raw: 'GPA : 3.35', metric: 'GPA', value: '3.35'},
location: {rawInput: 'Blacksburg, VA'},
dates: {
completionDate: '2021-05-01',
isCurrent: true,
startDate: '2019-05-01',
rawText: 'May-Aug \'18'
}
}
],
workExperience: [
{
id: 2,
jobTitle: 'Sales and retail assistants',
organization: 'General Motors',
location: {rawInput: 'Blacksburg, VA'},
jobDescription: 'Interned with supercar Development from May 2017 to August 2017.',
dates: {
startDate: '2018-05-01',
endDate: '2018-08-01',
monthsInPosition: 1,
isCurrent: true,
rawText: 'May-Aug \'18'
}
}
],
skills: [{id: 2, name: 'Applied Mechanics', lastUsed: '2012-01-01', numberOfMonths: 12}],
certifications: ['Certificate in AWS'],
publications: [
'Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014'
],
referees: [
{
name: 'Stephen Smith',
text: 'Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com',
email: 'stephen.smith@company.com',
number: '+61490667215',
position: 'Principal'
}
],
rawText: 'Christopher Nolan 3210 fake street \'... <rest of resume text>\'',
redactedText: '**** Objective: To obtain a job \'... <rest of resume text>\''
})
};
fetch('https://{region}.affinda.com/v2/resumes/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"languageCodes": [
"en",
"fr",
"ar"
],
"summary": "",
"totalYearsExperience": 13,
"headShot": "aSDinaTvuI8gbWludGxpZnk=",
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science",
"inputStr": "Bachelor of Science, Mechanical Engineering, expected",
"matchStr": "Bachelor of Science",
"educationLevel": "bachelors"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"profession": "Software Developer",
"linkedin": "https://www.linkedin.com/in/user-name",
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"socCode": "7111",
"socName": "Sales and retail assistants",
"organization": "General Motors",
"industry": "Automotive",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
},
"occupation": {
"jobTitle": "Sr. Software Developer",
"jobTitleNormalized": "Software Developer",
"emsiId": "ETE2AD3A1C11B4EC9B",
"managementLevel": "Low",
"classification": {
"title": "Book-keepers, payroll managers and wages clerks",
"minorGroup": "Administrative Occupations: Finance",
"subMajorGroup": "ADMINISTRATIVE OCCUPATIONS",
"majorGroup": "ADMINISTRATIVE AND SECRETARIAL OCCUPATIONS",
"socCode": 4122,
"minorGroupCode": 4122,
"subMajorGroupCode": 4122,
"majorGroupCode": 4122
}
}
}
],
"skills": [
{
"id": 2,
"emsiId": "KS1218W78FGVPVP2KXPX",
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12,
"type": "hard_skill",
"count": 10,
"weighting": 0.057699221573302296,
"sources": [
{
"section": "WorkExperience",
"position": 0,
"workExperienceId": 1234
}
]
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"sections": [
{
"sectionType": "PersonalDetails",
"bbox": [
0,
36.392,
612,
111.056
],
"pageIndex": 0,
"text": "<All text from the {sectionType} section>"
}
],
"isResumeProbability": 98,
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Update a resume's data
Update data of a parsed resume.
The identifier is the unique ID returned after POST-ing the resume via the /resumes endpoint.
curl --request PATCH \
--url https://{region}.affinda.com/v2/resumes/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": {
"rawInput": "Blacksburg, VA"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}
EOFimport requests
url = "https://{region}.affinda.com/v2/resumes/{identifier}"
payload = {
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": ["(704) 996-9966", "+61412632636"],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": ["www.timsmith.com"],
"emails": ["timsmith@vt.edu"],
"dateOfBirth": "1992-01-01",
"location": { "rawInput": "Blacksburg, VA" },
"objective": "",
"languages": ["English", "French", "Arabic"],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": { "education": "Bachelor of Science" },
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": { "rawInput": "Blacksburg, VA" },
"dates": {
"completionDate": "2021-05-01",
"isCurrent": True,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": { "rawInput": "Blacksburg, VA" },
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": True,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": ["Certificate in AWS"],
"publications": ["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {raw: 'Tim A. Smith', first: 'Tim', last: 'Smith', middle: 'A.', title: 'Dr'},
phoneNumbers: ['(704) 996-9966', '+61412632636'],
phoneNumberDetails: [
{
rawText: '+61412632636',
formattedNumber: '+61 412 632 636',
countryCode: 'AU',
internationalCountryCode: 61,
nationalNumber: '0412 632 636'
}
],
websites: ['www.timsmith.com'],
emails: ['timsmith@vt.edu'],
dateOfBirth: '1992-01-01',
location: {rawInput: 'Blacksburg, VA'},
objective: '',
languages: ['English', 'French', 'Arabic'],
summary: '',
totalYearsExperience: 13,
education: [
{
id: 2,
organization: 'Virginia Polytechnic Institute and State University (Virginia Tech)',
accreditation: {education: 'Bachelor of Science'},
grade: {raw: 'GPA : 3.35', metric: 'GPA', value: '3.35'},
location: {rawInput: 'Blacksburg, VA'},
dates: {
completionDate: '2021-05-01',
isCurrent: true,
startDate: '2019-05-01',
rawText: 'May-Aug \'18'
}
}
],
workExperience: [
{
id: 2,
jobTitle: 'Sales and retail assistants',
organization: 'General Motors',
location: {rawInput: 'Blacksburg, VA'},
jobDescription: 'Interned with supercar Development from May 2017 to August 2017.',
dates: {
startDate: '2018-05-01',
endDate: '2018-08-01',
monthsInPosition: 1,
isCurrent: true,
rawText: 'May-Aug \'18'
}
}
],
skills: [{id: 2, name: 'Applied Mechanics', lastUsed: '2012-01-01', numberOfMonths: 12}],
certifications: ['Certificate in AWS'],
publications: [
'Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014'
],
referees: [
{
name: 'Stephen Smith',
text: 'Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com',
email: 'stephen.smith@company.com',
number: '+61490667215',
position: 'Principal'
}
],
rawText: 'Christopher Nolan 3210 fake street \'... <rest of resume text>\'',
redactedText: '**** Objective: To obtain a job \'... <rest of resume text>\''
})
};
fetch('https://{region}.affinda.com/v2/resumes/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"languageCodes": [
"en",
"fr",
"ar"
],
"summary": "",
"totalYearsExperience": 13,
"headShot": "aSDinaTvuI8gbWludGxpZnk=",
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science",
"inputStr": "Bachelor of Science, Mechanical Engineering, expected",
"matchStr": "Bachelor of Science",
"educationLevel": "bachelors"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"profession": "Software Developer",
"linkedin": "https://www.linkedin.com/in/user-name",
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"socCode": "7111",
"socName": "Sales and retail assistants",
"organization": "General Motors",
"industry": "Automotive",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
},
"occupation": {
"jobTitle": "Sr. Software Developer",
"jobTitleNormalized": "Software Developer",
"emsiId": "ETE2AD3A1C11B4EC9B",
"managementLevel": "Low",
"classification": {
"title": "Book-keepers, payroll managers and wages clerks",
"minorGroup": "Administrative Occupations: Finance",
"subMajorGroup": "ADMINISTRATIVE OCCUPATIONS",
"majorGroup": "ADMINISTRATIVE AND SECRETARIAL OCCUPATIONS",
"socCode": 4122,
"minorGroupCode": 4122,
"subMajorGroupCode": 4122,
"majorGroupCode": 4122
}
}
}
],
"skills": [
{
"id": 2,
"emsiId": "KS1218W78FGVPVP2KXPX",
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12,
"type": "hard_skill",
"count": 10,
"weighting": 0.057699221573302296,
"sources": [
{
"section": "WorkExperience",
"position": 0,
"workExperienceId": 1234
}
]
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"sections": [
{
"sectionType": "PersonalDetails",
"bbox": [
0,
36.392,
612,
111.056
],
"pageIndex": 0,
"text": "<All text from the {sectionType} section>"
}
],
"isResumeProbability": 98,
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Resume identifier A random string that uniquely identify the resource.
Body
Resume data to update
A JSON-encoded string of the ResumeData object.
Show child attributes
Show child attributes
["(704) 996-9966", "+61412632636"]
Show child attributes
Show child attributes
["www.timsmith.com"]
["timsmith@vt.edu"]
"1992-01-01"
Show child attributes
Show child attributes
Ainu, Akan, Akkadian, Amharic, Anam, Arabic, Aramaic, Arem, Armenian, Awadhi, Aymara, Azari, Bagheli, Bagri, Bahasa, Bahasa Indonesian, Bambara, Bangala, Bardi, Bassa, Batak, Belarusian, Bemba, Benga, Bengali, Berber, Bhojpuri, Bislama, Brahui, Bulgarian, Bunu, Cambodian, Carew, Carib, Catalan, Cebuano, Chakma, Chamorro, Chango, Chewa, Croatian, Czech, Dagbani, Danish, Dari, Dayi, Dhatki, Dhivehi, Dinka, Dogri, Duala, Dutch, English, Esperanto, Estonian, Ewondo, Faroese, Filipino, Finnish, Formula, French, Frisian, Friulian, Fula, Gaelic, Galo, Garhwali, Garifuna, German, Gikuyu, Gujarati, Gujerati, Gwere, Hawaiian, Haya, Hebrew, Hindi, Hmu, Hokkien, Hopi, Hungarian, Hup, Ibanag, Igbo, Ilokano, Indonesian, Intermediate, Irish, Italian, Japanese, Jiba, Kachin, Kalenjin, Kamayo, Kannada, Kaonde, Kayan, Khandeshi, Khmer, Kikuyu, Kodava, Koma, Kongo, Konkani, Korean, Korwa, Kreyol, Krio, Kumaoni, Kurdish, Kurukh, Kwa, Ladino, Lango, Latvian, Lawa, Lingala, Lithuanian, Lule, Luxembourgish, Magahi, Maithili, Malay, Malayalam, Malaysian, Malvi, Maninka, Manipuri, Manx, Marathi, Mayan, Medumba, Memoni, Mewari, Mizo, Montenegrin, Mwan, Mwanga, Ndebele, Nepali, Nimadi, Oriya, Oromo, Ovambo, Pamona, Pangasinan, Pashto, Phoenician, Polish, Portuguese, Pulaar, Pular, Punjabi, Quecha, Rajasthani, Romanian, Russian, Sakha, Sango, Santhali, Saraiki, Seim, Shading, Shama, Shan, Shona, Silesian, Sindhi, Slovak, Slovene, Soga, Sogdian, Sotho, Spanish, Sudanese, Sumerian, Surajpuri, Surigaonon, Swati, Swazi, Swedish, Tagalog, Tamil, Tausug, Telugu, Tetum, Tharu, Tibetan, Tigrinya, Tripuri, Tswana, Tulu, Turkish, Tuwali, Ubi, Ukrainian, Urdu, Veps, Vietnamese, Wagdi, Waziri, Xhosa, Yiddish, Yoruba ["English", "French", "Arabic"]
x >= 013
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
["Certificate in AWS"]
[
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
]
Show child attributes
Show child attributes
All of the raw text of the parsed resume, example is shortened for readability
"Christopher Nolan 3210 fake street '... <rest of resume text>'"
Redacted version of the text in the resume, removing PII.
"**** Objective: To obtain a job '... <rest of resume text>'"
For custom fields. E.g. 'isAvailable': true
Response
Successfully updated resume data
A JSON-encoded string of the ResumeData object.
Show child attributes
Show child attributes
["(704) 996-9966", "+61412632636"]
Show child attributes
Show child attributes
["www.timsmith.com"]
["timsmith@vt.edu"]
"1992-01-01"
Show child attributes
Show child attributes
Ainu, Akan, Akkadian, Amharic, Anam, Arabic, Aramaic, Arem, Armenian, Awadhi, Aymara, Azari, Bagheli, Bagri, Bahasa, Bahasa Indonesian, Bambara, Bangala, Bardi, Bassa, Batak, Belarusian, Bemba, Benga, Bengali, Berber, Bhojpuri, Bislama, Brahui, Bulgarian, Bunu, Cambodian, Carew, Carib, Catalan, Cebuano, Chakma, Chamorro, Chango, Chewa, Croatian, Czech, Dagbani, Danish, Dari, Dayi, Dhatki, Dhivehi, Dinka, Dogri, Duala, Dutch, English, Esperanto, Estonian, Ewondo, Faroese, Filipino, Finnish, Formula, French, Frisian, Friulian, Fula, Gaelic, Galo, Garhwali, Garifuna, German, Gikuyu, Gujarati, Gujerati, Gwere, Hawaiian, Haya, Hebrew, Hindi, Hmu, Hokkien, Hopi, Hungarian, Hup, Ibanag, Igbo, Ilokano, Indonesian, Intermediate, Irish, Italian, Japanese, Jiba, Kachin, Kalenjin, Kamayo, Kannada, Kaonde, Kayan, Khandeshi, Khmer, Kikuyu, Kodava, Koma, Kongo, Konkani, Korean, Korwa, Kreyol, Krio, Kumaoni, Kurdish, Kurukh, Kwa, Ladino, Lango, Latvian, Lawa, Lingala, Lithuanian, Lule, Luxembourgish, Magahi, Maithili, Malay, Malayalam, Malaysian, Malvi, Maninka, Manipuri, Manx, Marathi, Mayan, Medumba, Memoni, Mewari, Mizo, Montenegrin, Mwan, Mwanga, Ndebele, Nepali, Nimadi, Oriya, Oromo, Ovambo, Pamona, Pangasinan, Pashto, Phoenician, Polish, Portuguese, Pulaar, Pular, Punjabi, Quecha, Rajasthani, Romanian, Russian, Sakha, Sango, Santhali, Saraiki, Seim, Shading, Shama, Shan, Shona, Silesian, Sindhi, Slovak, Slovene, Soga, Sogdian, Sotho, Spanish, Sudanese, Sumerian, Surajpuri, Surigaonon, Swati, Swazi, Swedish, Tagalog, Tamil, Tausug, Telugu, Tetum, Tharu, Tibetan, Tigrinya, Tripuri, Tswana, Tulu, Turkish, Tuwali, Ubi, Ukrainian, Urdu, Veps, Vietnamese, Wagdi, Waziri, Xhosa, Yiddish, Yoruba ["English", "French", "Arabic"]
["en", "fr", "ar"]
x >= 013
base64 encoded string
Show child attributes
Show child attributes
Prediction of the candidate's profession based on recent work experience
"Software Developer"
Linkedin account associated with the candidate
"https://www.linkedin.com/in/user-name"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
["Certificate in AWS"]
[
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Probability that the given document is a resume. Values below 30 suggest that the document is not a resume.
0 <= x <= 10098
All of the raw text of the parsed resume, example is shortened for readability
"Christopher Nolan 3210 fake street '... <rest of resume text>'"
Redacted version of the text in the resume, removing PII.
"**** Objective: To obtain a job '... <rest of resume text>'"
For custom fields. E.g. 'isAvailable': true